Votre Nom il y a 1 an
Parent
commit
6b74d0815e
1 fichiers modifiés avec 32 ajouts et 24 suppressions
  1. 32 24
      options/chia.sh

+ 32 - 24
options/chia.sh

@@ -104,6 +104,7 @@ YES)
 esac
 esac
 fi
 fi
 sleep 3
 sleep 3
+if ! [ -d /home/wareck/chia ];then mkdir /home/wareck/chia;fi
 }
 }
 
 
 function update_ {
 function update_ {
@@ -122,28 +123,32 @@ echo -e "\e[97mDone.\e[0m"
 function chia_plotter {
 function chia_plotter {
 echo -e "$(tput setaf 2)\nBuild Chia-Plotter (MadMax4ever) :$(tput sgr0)"
 echo -e "$(tput setaf 2)\nBuild Chia-Plotter (MadMax4ever) :$(tput sgr0)"
 sleep 1
 sleep 1
-cd /home/wareck
+cd /home/wareck/chia/
 if [ ! -d chia-plotter ]
 if [ ! -d chia-plotter ]
 then
 then
 git clone https://github.com/madMAx43v3r/chia-plotter.git
 git clone https://github.com/madMAx43v3r/chia-plotter.git
 else
 else
-cd /home/wareck/chia-plotter
+cd /home/wareck/chia/chia-plotter
 git pull
 git pull
 fi
 fi
-cd /home/wareck/chia-plotter
+cd /home/wareck/chia/chia-plotter
 git submodule init
 git submodule init
 git submodule update
 git submodule update
 ./make_devel.sh
 ./make_devel.sh
 cd build
 cd build
 cat <<'EOF'>> go.sh
 cat <<'EOF'>> go.sh
 #!/bin/bash
 #!/bin/bash
-./chia_plot -n 1 -r 4 -u 128 -t /media/nvme0/ -2 /media/nvme0/ -d /media/Partage/Plots/ -p a99e72c49c5ed39bf7>
+./chia_plot -n 1 -r 4 -u 128 -t /media/nvme0/ -2 /media/nvme0/ -d /media/Partage/Plots/ \
+-p a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe2ca275c0930149b67990a \
+-f 8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
 EOF
 EOF
 chmod +x go.sh
 chmod +x go.sh
 
 
 cat <<'EOF'>> nft.sh
 cat <<'EOF'>> nft.sh
 #!/bin/bash
 #!/bin/bash
-./chia_plot -n 1 -r 4 -u 128 -t /media/nvme0/ -2 /media/nvme1/ -d /media/Partage/Plots-nft/ -c xch18c2jp56msc>
+./chia_plot -n 1 -r 4 -u 128 -t /media/nvme0/ -2 /media/nvme1/ -d /media/Partage/Plots-nft/ \
+-p a99e72c49c5ed39bf793caab9e074a80dd61011a859e975842874aab47b783f9ce84282febe2ca275c0930149b67990a \
+-f 8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
 EOF
 EOF
 chmod +x nft.sh
 chmod +x nft.sh
 echo -e "\e[97mDone.\e[0m"
 echo -e "\e[97mDone.\e[0m"
@@ -152,12 +157,12 @@ echo -e "\e[97mDone.\e[0m"
 function bladebit {
 function bladebit {
 echo -e "$(tput setaf 2)\nBuild Bladebit v2 :$(tput sgr0)"
 echo -e "$(tput setaf 2)\nBuild Bladebit v2 :$(tput sgr0)"
 sleep 1
 sleep 1
-cd /home/wareck
+cd /home/wareck/chia
 if [ ! -d bladebit ]
 if [ ! -d bladebit ]
 then
 then
 git clone https://github.com/Chia-Network/bladebit.git
 git clone https://github.com/Chia-Network/bladebit.git
 fi
 fi
-cd /home/wareck/bladebit/
+cd /home/wareck/chia/bladebit/
 if [ ! -d build ];then mkdir build;fi
 if [ ! -d build ];then mkdir build;fi
 cd build
 cd build
 cmake ..
 cmake ..
@@ -168,17 +173,17 @@ echo -e "\e[97mDone.\e[0m"
 function gigahorse {
 function gigahorse {
 echo -e "$(tput setaf 2)\nMadMax4ever GigaHorse:$(tput sgr0)"
 echo -e "$(tput setaf 2)\nMadMax4ever GigaHorse:$(tput sgr0)"
 sleep 1
 sleep 1
-if [ -d /home/wareck/chia-gigahorse ]
+if [ -d /home/wareck/chia/chia-gigahorse ]
 then
 then
-cd /home/wareck/chia-gigahorse
+cd /home/wareck/chia/chia-gigahorse
 git pull
 git pull
 else
 else
-cd /home/wareck/
+cd /home/wareck/chia/
 git clone https://github.com/madMAx43v3r/chia-gigahorse.git
 git clone https://github.com/madMAx43v3r/chia-gigahorse.git
 fi
 fi
 echo "generate bash files..."
 echo "generate bash files..."
-sudo cp ~/chia-gigahorse/plot-sink/linux/x86_64/* /usr/local/bin/
-sudo cp ~/chia-gigahorse/cpu-plotter/linux/x86_64/* /usr/local/bin/
+sudo cp ~/chia/chia-gigahorse/plot-sink/linux/x86_64/* /usr/local/bin/
+sudo cp ~/chia/chia-gigahorse/cpu-plotter/linux/x86_64/* /usr/local/bin/
 cd ~
 cd ~
 if [ -f distrib_chia.sh ];then sudo rm distrib_chia.sh;fi
 if [ -f distrib_chia.sh ];then sudo rm distrib_chia.sh;fi
 if [ -f /usr/local/bin/distrib_chia.sh ];then sudo rm /usr/local/bin/distrib_chia.sh;fi
 if [ -f /usr/local/bin/distrib_chia.sh ];then sudo rm /usr/local/bin/distrib_chia.sh;fi
@@ -197,7 +202,7 @@ cat <<'EOF'>> ~/go.sh
 -f 8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
 -f 8ba5acd276b45fd0f749ce195dcddcf0e63c3bf2e751e9e273faa0125075c36a11f2ee231e7cf74abed2920be97fc373
 EOF
 EOF
 chmod +x ~/go.sh
 chmod +x ~/go.sh
-cp ~/go.sh ~/chia-gigahorse/cpu-plotter/linux/x86_64/
+cp ~/go.sh ~/chia/chia-gigahorse/cpu-plotter/linux/x86_64/
 rm ~/go.sh
 rm ~/go.sh
 echo -e "\e[97mDone.\e[0m"
 echo -e "\e[97mDone.\e[0m"
 }
 }
@@ -205,13 +210,13 @@ echo -e "\e[97mDone.\e[0m"
 function chiapos {
 function chiapos {
 echo -e "$(tput setaf 2)\nBuild Chia-Pos:$(tput sgr0)"
 echo -e "$(tput setaf 2)\nBuild Chia-Pos:$(tput sgr0)"
 sleep 1
 sleep 1
-cd /home/wareck/
-if [ ! -d  /home/wareck/chia-pos ]
+cd /home/wareck/chia
+if [ ! -d  /home/wareck/chia/chia-pos ]
 then
 then
 git clone https://github.com/Chia-Network/chiapos.git chia-pos
 git clone https://github.com/Chia-Network/chiapos.git chia-pos
-cd /home/wareck/chia-pos
+cd /home/wareck/chia/chia-pos
 else
 else
-cd /home/wareck/chia-pos
+cd /home/wareck/chia/chia-pos
 git pull
 git pull
 fi
 fi
 if [ ! -d build ]; then mkdir build;fi
 if [ ! -d build ]; then mkdir build;fi
@@ -235,8 +240,8 @@ echo -e "\e[97mDone.\e[0m"
 function chia_blockchain {
 function chia_blockchain {
 echo -e "$(tput setaf 2)\nBuild Chia-blockchain & Gui :$(tput sgr0)"
 echo -e "$(tput setaf 2)\nBuild Chia-blockchain & Gui :$(tput sgr0)"
 sleep 1
 sleep 1
-cd /home/wareck
-if [ ! -d  /home/wareck/chia-blockchain ]
+cd /home/wareck/chia
+if [ ! -d  /home/wareck/chia/chia-blockchain ]
 then
 then
 git clone https://github.com/Chia-Network/chia-blockchain.git -b latest --recurse-submodules
 git clone https://github.com/Chia-Network/chia-blockchain.git -b latest --recurse-submodules
 cd chia-blockchain
 cd chia-blockchain
@@ -290,17 +295,20 @@ simplify_config
 intro_
 intro_
 update_
 update_
 case $Gui in
 case $Gui in
-YES|ONLY)
-        chia_blockchain
-        ;;
-NO)
+NO|YES)
+        if [ $GigaHorse = "YES" ];then gigahorse;fi
 	if [ $MadMax = "YES" ];then chia_plotter;fi
 	if [ $MadMax = "YES" ];then chia_plotter;fi
 	if [ $BladeBit = "YES" ];then bladebit;fi
 	if [ $BladeBit = "YES" ];then bladebit;fi
-	if [ $GigaHorse = "YES" ];then gigahorse;fi
 	if [ $ChiaPos = "YES" ];then chiapos;fi
 	if [ $ChiaPos = "YES" ];then chiapos;fi
 	if [ $Service = "YES" ];then service_;fi
 	if [ $Service = "YES" ];then service_;fi
 	;;
 	;;
+esac
+case $Gui in
+YES|ONLY)
+        chia_blockchain
+	;;
 *)
 *)
         ;;
         ;;
 esac
 esac
+
 echo -e "\n\e[97mEnd of process...\e[0m"
 echo -e "\n\e[97mEnd of process...\e[0m"